Description

Hola

Hemos detectado varios errores en el build 2063. Os los indicamos aquí, con su posible correción para que los podáis incorporar al
nuevo build que publiquéis

Error 1
En el config.xml de extEditing teneis asignado la misma posición "601101100" a dos herramientas:
- Symmetry_geometry
- Stretch_geometry

Hemos revisado todas las herramientas modify y pensamos que la numeración de Stretch_geometry debería de ser 601101200.

Error 2
En vuestra herramienta de edicion de mover vértice tenéis el método removeVertexGC cuando la geometría de la que se está
removiendo el vértice es de tipo MultiPrimitive.

Puede darse el caso que la geometría de tipo multiprimitive solo esté compuesta de un único elemento.

En vuestro código estáis haciendo

Geometry resp = this.removeVertex(prim, handler);
for (int k=0; k<np; k++) {
       if (k != i) {
          resp = resp.union(gc.getPrimitiveAt(k));
       }
}
return resp;

Si solo tiene un único elemento, en lugar de devolver el Multi correspondiente, estáis devolviendo el elemento.
Hemos modificado y probado el método para que cuando el objeto resultante no sea de tipo Multi, se cree y devuelva ese objeto.

Error 3
En vuestra clase WKBParser2.java tenéis métodos para parsear las geometrías que vienen de base de datos y crear la geometría
correspondiente en gvsig. (método protected Geometry parseGeometry(ByteBuffer data) throws CreateGeometryException).

Dentro de ese método para el caso concreto de MultiPolygon y MultiLinestring llamáis a sus correspondientes
parseMultiPolygon(data) y parseMultiLineString(data).

MultiPolygon
Resulta que dentro de parseMultiPolygon(data) en lugar de crear un objeto de tipo MultiSurface (que es lo que le correspondería por
ser un MultiPolygon) construis un Surface... Con lo cual, al redigitalizar la geometría, da un error de cast de tipos porque está
intentando meter un surface2d donde tendría que ir un multisurface2d

MultiLineString
Con MultiLinestring pasa lo mismo que con MultiPolygon. Devolvéis un objeto de tipo Linestring en lugar de multilinestring con lo
cual, a la hora de digitalizar da un problema. Os enviamos también en el fichero la redefinición de dicho método.

Os mandamos en el fichero adjunto los métodos.

History
#1 - 04/25/2013 01:42 PM - Manuel Madrid
- Priority changed from High to Urgent

#2 - 05/09/2013 04:11 PM - Manuel Madrid
- Category set to Vector editing

#3 - 09/17/2013 05:20 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#4 - 09/19/2013 01:22 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Fixed geometry and GUI issues.
Patches provided by Leticia Riestra (Univ. A Coruña, LBD, CITIC).

gvsig-desktop:r40722

#5 - 01/13/2014 09:23 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#6 - 01/28/2014 09:33 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
MetodosCambiados.java 3.76 KB 03/04/2013 Leticia Riestra
